You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     kmo...@freebsd.org
Last committer: kmo...@freebsd.org
Ident:          $FreeBSD: head/net-im/telegram-purple/Makefile 387048 
2015-05-22 17:37:06Z kmoore $
Log URL:        
http://beefy5.nyi.freebsd.org/data/84i386-default/390348/logs/telegram-purple-05222015.log
Build URL:      
http://beefy5.nyi.freebsd.org/build.html?mastername=84i386-default&build=390348
Log:

====>> Building net-im/telegram-purple
build started at Tue Jun 23 14:40:52 UTC 2015
port directory: /usr/ports/net-im/telegram-purple
building for: FreeBSD 84i386-default-job-16 8.4-RELEASE-p31 FreeBSD 
8.4-RELEASE-p31 i386
maintained by: kmo...@freebsd.org
Makefile ident:      $FreeBSD: head/net-im/telegram-purple/Makefile 387048 
2015-05-22 17:37:06Z kmoore $
Poudriere version: 3.1.7
Host OSVERSION: 1100070
Jail OSVERSION: 804000

---Begin Environment---
UNAME_p=i386
UNAME_m=i386
OSVERSION=804000
UNAME_v=FreeBSD 8.4-RELEASE-p31
UNAME_r=8.4-RELEASE-p31
FTP_PASSIVE_MODE=YES
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=screen
MASTERMNT=/usr/local/poudriere/data/.m/84i386-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=telegram-purple-05222015
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/84i386-default/ref/.p/pool
MASTERNAME=84i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.7
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PKG_CONFIG=pkgconf 
XDG_DATA_HOME=/wrkdirs/usr/ports/net-im/telegram-purple/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/net-im/telegram-purple/work  
HOME=/wrkdirs/usr/ports/net-im/telegram-purple/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh ADDR2LINE="/usr/local/bin/addr2line" 
AR="/usr/local/bin/ar" AS="/usr/local/bin/as" CPPFILT="/usr/local/bin/c++filt" 
GPROF="/usr/local/bin/gprof" LD="/usr/local/bin/ld" NM="/usr/local/bin/nm" 
OBJCOPY="/usr/local/bin/objcopy" OBJDUMP="/usr/local/bin/objdump" 
RANLIB="/usr/local/bin/ranlib" READELF="/usr/local/bin/readelf" 
SIZE="/usr/local/bin/size" STRINGS="/usr/local/bin/strings" 
CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/net-im/telegram-purple/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/net-im/telegram-purple/work  
HOME=/wrkdirs/usr/ports/net-im/telegram-purple/work TMPDIR="/tmp" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES ADDR2LINE="/usr/local/bin/addr2line" 
AR="/usr/local/bin/ar" AS="/usr/local/bin/as" CPPFILT="/usr/local/bin/c++filt" 
GPROF="/usr/local/bin/gprof" LD="/usr/local/bin/ld" NM="/usr/local/bin/nm" 
OBJCOPY="/usr/local/bin/objcopy" OBJDUMP="/usr/local/bin/objdump" 
RANLIB="/usr/local/bin/ranlib" READELF="/usr/local/bin/readelf" 
SIZE="/usr/local/bin/size" STRINGS="/usr/local/bin/strings" PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="gcc48" CFLAGS="-O2 -pipe 
-Wl,-rpath=/usr/local/lib/gcc48 -fno-strict-aliasing"  CPP="cpp48" CPPFLAGS=""  
LDFLAGS=" -Wl,-rpath=/usr/local/lib/gcc48 -L/usr/local/lib/gcc48" LIBS=""  
CXX="g++48" CXXFLAGS="-O2 -pipe -Wl,-rpath=/usr/local/lib/gcc48 
-fno-strict-aliasing -Wl,-rpath=/usr/local/lib/gcc48"  MANPREFIX="/usr/local" BS
 D_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=8.4
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
DOCSDIR="share/doc/telegram-purple"
EXAMPLESDIR="share/examples/telegram-purple"
DATADIR="share/telegram-purple"
WWWDIR="www/telegram-purple"
ETCDIR="etc/telegram-purple"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/telegram-purple
DOCSDIR=/usr/local/share/doc/telegram-purple
EXAMPLESDIR=/usr/local/share/examples/telegram-purple
WWWDIR=/usr/local/www/telegram-purple
ETCDIR=/usr/local/etc/telegram-purple
--End SUB_LIST--

---Begin make.conf---
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
MASTER_SITE_FREEBSD=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   telegram-purple-05222015 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.5.4.txz
[84i386-default-job-16] Installing pkg-1.5.4...
[84i386-default-job-16] Extracting pkg-1.5.4: .......... done
Message for pkg-1.5.4:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of telegram-purple-05222015
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by telegram-purple-05222015 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by telegram-purple-05222015 for building
=> SHA256 Checksum OK for telegram-purple-05222015.tar.xz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by telegram-purple-05222015 for building
===>  Extracting for telegram-purple-05222015
=> SHA256 Checksum OK for telegram-purple-05222015.tar.xz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for telegram-purple-05222015
===>  Applying FreeBSD patches for telegram-purple-05222015
===========================================================================
=======================<phase: build-depends  >============================
===>   telegram-purple-05222015 depends on executable: pidgin - not found
===>    Verifying install for pidgin in /usr/ports/net-im/pidgin
===>   Installing existing package /packages/All/pidgin-2.10.11.txz
[84i386-default-job-16] Installing pidgin-2.10.11...
[84i386-default-job-16] `-- Installing atk-2.14.0...
[84i386-default-job-16] |   `-- Installing gettext-runtime-0.19.4...
[84i386-default-job-16] |   | `-- Installing indexinfo-0.2.3...
[84i386-default-job-16] |   | `-- Extracting indexinfo-0.2.3: .... done
[84i386-default-job-16] |   | `-- Installing libiconv-1.14_8...
[84i386-default-job-16] |   | `-- Extracting libiconv-1.14_8: .......... done
[84i386-default-job-16] |   `-- Extracting gettext-runtime-0.19.4: .......... 
done
[84i386-default-job-16] |   `-- Installing glib-2.42.2...
[84i386-default-job-16] |   | `-- Installing libffi-3.2.1...
[84i386-default-job-16] |   | `-- Extracting libffi-3.2.1: .......... done
[84i386-default-job-16] |   | `-- Installing pcre-8.37_1...
[84i386-default-job-16] |   | `-- Extracting pcre-8.37_1: .......... done
[84i386-default-job-16] |   | `-- Installing perl5-5.20.2_4...
[84i386-default-job-16] |   | `-- Extracting perl5-5.20.2_4: .......... done
[84i386-default-job-16] |   | `-- Installing python27-2.7.9_1...
[84i386-default-job-16] |   | `-- Extracting python27-2.7.9_1: .......... done
[84i386-default-job-16] |   `-- Extracting glib-2.42.2: .......... done
No schema files found: doing nothing.
[84i386-default-job-16] `-- Extracting atk-2.14.0: .......... done
[84i386-default-job-16] `-- Installing avahi-app-0.6.31_3...
[84i386-default-job-16] |   `-- Installing dbus-glib-0.104...
[84i386-default-job-16] |   | `-- Installing dbus-1.8.16...
[84i386-default-job-16] |   |   `-- Installing expat-2.1.0_2...
[84i386-default-job-16] |   |   `-- Extracting expat-2.1.0_2: .......... done
[84i386-default-job-16] |   |   `-- Installing gnome_subr-1.0...
[84i386-default-job-16] |   |   `-- Extracting gnome_subr-1.0: . done
[84i386-default-job-16] |   |   `-- Installing libICE-1.0.9_1,1...
[84i386-default-job-16] |   |   | `-- Installing xproto-7.0.27...
[84i386-default-job-16] |   |   | `-- Extracting xproto-7.0.27: .......... done
[84i386-default-job-16] |   |   `-- Extracting libICE-1.0.9_1,1: .......... done
[84i386-default-job-16] |   |   `-- Installing libSM-1.2.2_3,1...
[84i386-default-job-16] |   |   `-- Extracting libSM-1.2.2_3,1: .......... done
[84i386-default-job-16] |   |   `-- Installing libX11-1.6.2_3,1...
[84i386-default-job-16] |   |   | `-- Installing kbproto-1.0.6...
[84i386-default-job-16] |   |   | `-- Extracting kbproto-1.0.6: .......... done
[84i386-default-job-16] |   |   | `-- Installing libXau-1.0.8_3...
[84i386-default-job-16] |   |   | `-- Extracting libXau-1.0.8_3: .......... done
[84i386-default-job-16] |   |   | `-- Installing libXdmcp-1.1.2...
[84i386-default-job-16] |   |   | `-- Extracting libXdmcp-1.1.2: ......... done
[84i386-default-job-16] |   |   | `-- Installing libxcb-1.11_1...
[84i386-default-job-16] |   |   |   `-- Installing libpthread-stubs-0.3_6...
[84i386-default-job-16] |   |   |   `-- Extracting libpthread-stubs-0.3_6: 
..... done
[84i386-default-job-16] |   |   |   `-- Installing libxml2-2.9.2_2...
[84i386-default-job-16] |   |   |   `-- Extracting libxml2-2.9.2_2: .......... 
done
[84i386-default-job-16] |   |   | `-- Extracting libxcb-1.11_1: .......... done
[84i386-default-job-16] |   |   `-- Extracting libX11-1.6.2_3,1: .......... done
===> Creating users and/or groups.
Creating group 'messagebus' with gid '556'.
Creating user 'messagebus' with uid '556'.
[84i386-default-job-16] |   | `-- Extracting dbus-1.8.16: .......... done
[84i386-default-job-16] |   `-- Extracting dbus-glib-0.104: .......... done
[84i386-default-job-16] |   `-- Installing gdbm-1.11_2...
[84i386-default-job-16] |   `-- Extracting gdbm-1.11_2: .......... done
[84i386-default-job-16] |   `-- Installing gobject-introspection-1.42.0...
[84i386-default-job-16] |   | `-- Installing python2-2_3...
[84i386-default-job-16] |   | `-- Extracting python2-2_3: ...... done
[84i386-default-job-16] |   `-- Extracting gobject-introspection-1.42.0: 
.......... done
[84i386-default-job-16] |   `-- Installing libdaemon-0.14_1...
[84i386-default-job-16] |   `-- Extracting libdaemon-0.14_1: .......... done
===> Creating users and/or groups.
<snip>
bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

=====================================================================
Message for dejavu-2.35:
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
Message for webcamd-3.18.0.1:
*********************************************************************
1) webcamd requires the cuse4bsd or cuse kernel module, depending on
how webcamd was compiled. Please load this dependency by doing:

       # kldload cuse4bsd
or
       # kldload cuse

or by adding

       cuse4bsd_load="YES"
or
       cuse_load="YES"

to your /boot/loader.conf.

2) add webcamd_enable="YES"

to your /etc/rc.conf

3) Please restart devd to start webcamd

        # service devd restart

4) Optionally add a user to the "webcamd" group

        # pw groupmod webcamd -m <username>

5) If webcamd still did not start, consult the installed webcamd rc.d
script for more help and instructions on how to start webcamd.
*********************************************************************
Message for ca_root_nss-3.19.1_1:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message for trousers-tddl-0.3.10_7:
To run tcsd automatically, add the following line to /etc/rc.conf

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

To use TPM, add your_account to '_tss' group like following:

# pw groupadd _tss -m your_account
===>   Returning to build of telegram-purple-05222015
===>   telegram-purple-05222015 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[84i386-default-job-16] Installing gmake-4.1_2...
[84i386-default-job-16] Extracting gmake-4.1_2: .......... done
===>   Returning to build of telegram-purple-05222015
===>   telegram-purple-05222015 depends on executable: pkgconf - not found
===>    Verifying install for pkgconf in /usr/ports/devel/pkgconf
===>   Installing existing package /packages/All/pkgconf-0.9.11.txz
[84i386-default-job-16] Installing pkgconf-0.9.11...
[84i386-default-job-16] Extracting pkgconf-0.9.11: ....... done
===>   Returning to build of telegram-purple-05222015
===>   telegram-purple-05222015 depends on executable: gcc48 - not found
===>    Verifying install for gcc48 in /usr/ports/lang/gcc
===>   Installing existing package /packages/All/gcc-4.8.4_3.txz
[84i386-default-job-16] Installing gcc-4.8.4_3...
[84i386-default-job-16] `-- Installing binutils-2.25...
[84i386-default-job-16] `-- Extracting binutils-2.25: .......... done
[84i386-default-job-16] `-- Installing gcc-ecj-4.5...
[84i386-default-job-16] `-- Extracting gcc-ecj-4.5: . done
[84i386-default-job-16] `-- Installing mpc-1.0.3...
[84i386-default-job-16] |   `-- Installing mpfr-3.1.2_2...
[84i386-default-job-16] |   `-- Extracting mpfr-3.1.2_2: .......... done
[84i386-default-job-16] `-- Extracting mpc-1.0.3: ...... done
[84i386-default-job-16] Extracting gcc-4.8.4_3: .......... done
Message for gcc-4.8.4_3:
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc48

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
===>   Returning to build of telegram-purple-05222015
===>   telegram-purple-05222015 depends on file: /usr/local/bin/as - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   telegram-purple-05222015 depends on shared library: libglib-2.0.so - 
found (/usr/local/lib/libglib-2.0.so)
===>   telegram-purple-05222015 depends on shared library: libxml2.so - found 
(/usr/local/lib/libxml2.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for telegram-purple-05222015
configure: loading site script /usr/ports/Templates/config.site
checking for gcc... gcc48
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc48 accepts -g... yes
checking for gcc48 option to accept ISO C89... none needed
checking for a BSD-compatible install... /usr/bin/install -c
checking for sqrt in -lm... yes
checking for clock_gettime in -lrt... yes
checking for pkg-config... /usr/local/bin/pkg-config
checking for openssl/ssl.h in /usr/local/ssl... no
checking for openssl/ssl.h in /usr/lib/ssl... no
checking for openssl/ssl.h in /usr/ssl... no
checking for openssl/ssl.h in /usr/pkg... no
checking for openssl/ssl.h in /usr/local... no
checking for openssl/ssl.h in /usr... yes
checking whether compiling and linking against OpenSSL works... yes
checking how to run the C preprocessor... cpp48
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking if zlib is wanted... yes
checking for inflateEnd in -lz... yes
checking for zlib.h... (cached) yes
checking pkg-config is at least version 0.9.0... yes
checking for PURPLE... yes
checking for arpa/inet.h... (cached) yes
checking for fcntl.h... (cached) yes
checking for netdb.h... (cached) yes
checking for netinet/in.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for sys/socket.h... (cached) yes
checking for sys/time.h... (cached) yes
checking for unistd.h... (cached) yes
checking for size_t... (cached) yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... (cached) yes
checking for memset... (cached) yes
checking for strdup... (cached) yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
===========================================================================
=======================<phase: build          >============================
===>  Building for telegram-purple-05222015
cat tgl/scheme.tl tgl/encrypted_scheme.tl tgl/binlog.tl tgl/append.tl 
tgl/mtproto.tl > auto/scheme.tl
gcc48  -O2 -pipe -Wl,-rpath=/usr/local/lib/gcc48 -fno-strict-aliasing 
-I/usr/local/include/libpurple -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include   -DHAVE_CONFIG_H -Wall 
-Wextra -Wno-deprecated-declarations -Wno-unused-parameter -I. -I. 
-fno-strict-aliasing -fPIC -I/usr/include -I/usr/include -DFLAGS -iquote 
./tgl/tl-parser -c -MP -MD -MF dep/tl-parser.d -MQ objs/tl-parser.o -o 
objs/tl-parser.o tgl/tl-parser/tl-parser.c
gcc48  -O2 -pipe -Wl,-rpath=/usr/local/lib/gcc48 -fno-strict-aliasing 
-I/usr/local/include/libpurple -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include   -DHAVE_CONFIG_H -Wall 
-Wextra -Wno-deprecated-declarations -Wno-unused-parameter -I. -I. 
-fno-strict-aliasing -fPIC -I/usr/include -I/usr/include -DFLAGS -iquote 
./tgl/tl-parser -c -MP -MD -MF dep/tlc.d -MQ objs/tlc.o -o objs/tlc.o 
tgl/tl-parser/tlc.c
tgl/tl-parser/tlc.c:40:22: fatal error: execinfo.h: No such file or directory
 #include <execinfo.h>
                      ^
compilation terminated.
Makefile.tl-parser:6: recipe for target 'objs/tlc.o' failed
gmake: *** [objs/tlc.o] Error 1
*** Error code 1

Stop in /usr/ports/net-im/telegram-purple.
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to